/**
 * 
 */
package org.richfaces.validator;

import org.hibernate.validator.Length;
import org.hibernate.validator.Max;
import org.hibernate.validator.Min;
import org.hibernate.validator.NotNull;

/**
 * @author asmirnov
 *
 */
public class ValidableBean {
	
	@Min(2)
	@Max(5)
	private int integerProperty;
	
	private String text;
	
	private Object foo;

	/**
	 * @return the integerProperty
	 */
	public int getIntegerProperty() {
		return integerProperty;
	}

	/**
	 * @param integerProperty the integerProperty to set
	 */
	@Min(2)
	@Max(5)
	public void setIntegerProperty(int integerProperty) {
		this.integerProperty = integerProperty;
	}

	/**
	 * @return the text
	 */
	public String getText() {
		return text;
	}

	/**
	 * @param text the text to set
	 */
	@Length(max=10,min=1,message="text size")
	public void setText(String text) {
		this.text = text;
	}

	/**
	 * @return the foo
	 */
	public Object getFoo() {
		return foo;
	}

	/**
	 * @param foo the foo to set
	 */
	@NotNull
	public void setFoo(Object foo) {
		this.foo = foo;
	}

}
